質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

bin/rails consoleができなくなった

受付中

回答 0

投稿

  • 評価
  • クリップ 0
  • VIEW 171

前提・実現したいこと

「RubyOnRails5 速習実践ガイド」という書籍を見ながら
タスク管理アプリを作成しているのですが、バリデーション等、モデルの検証機能が
動いているか確認するため、「bin/rails c」を実行せよ、
という指示がありました。

指示通り「bin/rails c」をターミナルに入力すると以下のエラーが発生。
WEBで調べても解決できず、お手数ですが、ご教示頂けますでしょうか。

ちなみに、「rails db:migrate」など、「rails console」以外のコマンドは問題なく受け付けてくれています。

発生している問題・エラーメッセージ

usernameMacBook-ea:taskleaf username$ bin/rails c
Traceback (most recent call last):
    4: from bin/rails:3:in `<main>'
    3: from bin/rails:3:in `load'
    2: from /Users/username/projects/taskleaf/bin/spring:8:in `<top (required)>'
    1: from /Users/username/.rbenv/versions/2.5.1/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
/Users/username/.rbenv/versions/2.5.1/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require': cannot load such file -- bundler (LoadError)

該当のソースコード

//bin/railsファイル
#!/usr/bin/env ruby
begin
  load File.expand_path('../spring', __FILE__)
rescue LoadError => e
  raise unless e.message.include?('spring')
end
APP_PATH = File.expand_path('../config/application', __dir__)
require_relative '../config/boot'
require 'rails/commands'

//gemファイル

試したこと

Qiitaやその他WEBで情報収集し、以下を試みましたが、改善できず。
・ln -s /usr/local/opt/readline/lib/libreadline.7.0.dylib /usr/local/opt/readline/lib/libreadline.6.dylib
・sudo chmod -s /usr/sbin/dtrace
・rbenv uninstall 2.5.1 ⇨ RUBY_CONFIGURE_OPTS="--disable-dtrace" rbenv install 2.5.1 ⇨ rbenv rehash ⇨ bundle install

補足情報(FW/ツールのバージョンなど)

rubyバージョン 2.5.1p57 (2018-03-29 revision 63029) [x86_64-darwin18]
rails バージョン  2.3.1
パソコン Mac10.14

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正の依頼

  • Kta-M

    2019/02/24 13:11

    bundle installされているということなので違うかもしれませんが、エラーメッセージ的にはbundlerがインストールされていないように見受けられます。
    gem install bundler してみてもダメでしょうか?

    キャンセル

  • kurogane_0718

    2019/02/25 22:52

    Kta-Mさま
    ありがとうございます。gem install bundlerやってみました。以下のようになりました。
    ------------------------------------------------------------------
    gem install bundler
    Successfully installed bundler-2.0.1
    Parsing documentation for bundler-2.0.1
    Done installing documentation for bundler after 3 seconds
    1 gem installed
    usernamenoMacBook-ea:Taskleaf username$ bin/rails db:migrate
    Traceback (most recent call last):
    4: from bin/rails:3:in `<main>'
    3: from bin/rails:3:in `load'
    2: from /Users/username/projects/taskleaf/bin/spring:8:in `<top (required)>'
    1: from /Users/username/.rbenv/versions/2.5.1/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
    /Users/username/.rbenv/versions/2.5.1/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require': cannot load such file -- bundler (LoadError)
    usernamenoMacBook-ea:Taskleaf username$
    ---------------------------------------
    結果は変わりませんね〜。難しい。も少しこちらも調べてみます。ありがとうございました。

    キャンセル

  • Kta-M

    2019/02/26 10:03

    もしかして、rbenvのrubyのバージョンを指定してなかったりしますか?
    もししていなければ、railsのプロジェクトのディレクトリに行って、
    $ rbenv local 2.5.1
    $ gem install bundler
    $ bin/rails c
    としてみてください。

    キャンセル

まだ回答がついていません

同じタグがついた質問を見る